Skip to content

ApWorkFlow⁠

Perform various operations for Symitar parameters.

Operations⁠

getApWorkFlowSelectFields⁠

POST

Execute the persistent ParameterService getApWorkFlowSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ApWorkFlowApInvoiceTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getApWorkFlowSelectFields
POST /nexum/627/persistent/parameter/getApWorkFlowSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "ApWorkFlowApInvoiceType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllApWorkFlowFields": true,
    "ApWorkFlowFields": {
      "ApInvoiceType": true,
      "Event": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getApWorkFlowPagedListSelectFields⁠

POST

Execute the persistent ParameterService getApWorkFlowPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getApWorkFlowPagedListSelectFields
POST /nexum/627/persistent/parameter/getApWorkFlowPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllApWorkFlowFields": true,
    "ApWorkFlowFields": {
      "ApInvoiceType": true,
      "Event": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchApWorkFlowPagedSelectFields⁠

POST

Execute the persistent ParameterService searchApWorkFlowPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchApWorkFlowPagedSelectFields
POST /nexum/627/persistent/parameter/searchApWorkFlowPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllApWorkFlowFields": true,
    "ApWorkFlowFields": {
      "ApInvoiceType": true,
      "Event": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateApWorkFlowByID⁠

POST

Execute the persistent ParameterService updateApWorkFlowByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ApWorkFlowApInvoiceTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateApWorkFlowByID
POST /nexum/627/persistent/parameter/updateApWorkFlowByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "ApWorkFlowApInvoiceType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "ApWorkFlowFields": {
    "ApInvoiceType": 0,
    "Event": [
      {
        "EntryId": 0,
        "Event": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}